javax.swing.plaf.metal

## Class MetalComboBoxUI.MetalPropertyChangeListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler
  - - javax.swing.plaf.metal.MetalComboBoxUI.MetalPropertyChangeListener

- All Implemented Interfaces:
    PropertyChangeListener, EventListener
  Enclosing class:
    MetalComboBoxUI

      public class MetalComboBoxUI.MetalPropertyChangeListener
      extends BasicComboBoxUI.PropertyChangeHandler

  This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalComboBoxUI.MetalPropertyChangeListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalComboBoxUI.MetalPropertyChangeListener

          public MetalComboBoxUI.MetalPropertyChangeListener()

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent e)

      Description copied from interface: `PropertyChangeListener`
      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Overrides:
        `propertyChange` in class `BasicComboBoxUI.PropertyChangeHandler`
      Parameters:
        `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.